# $Revision: 1.4 $, $Date: 2002/08/28 02:16:40 $
Summary:	rarpd - reverse address resolution protocol daemon
Summary(pl):	rarpd - demon do protokou odwrotnego odwzorowywania adresw
Name:		rarpd
Version:	1.1
Release:	2
Epoch:		1
License:	GPL-like?????
Group:		Networking/Daemons
Source0:	ftp://ftp.dementia.org/pub/net-tools/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Prereq:		rc-scripts >= 0.2.0
Prereq:		/sbin/chkconfig
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reverse Address Resolution Protocol daemon.

%description -l pl
Demon do protokou odwrotnego odwzorowywania adresw.

%prep
%setup -q

%build
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SBINDIR=%{_sbindir}

install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sysconfdir}/{sysconfig,rc.d/init.d}}
install rarpd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/rarpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rarpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rarpd
if [ -f /var/lock/subsys/rarpd ]; then
	/etc/rc.d/init.d/rarpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/rarpd start\" to start rarpd daemon."
fi

%preun
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/rarpd ]; then
		/etc/rc.d/init.d/rarpd stop >&2
	fi
	/sbin/chkconfig --del rarpd
fi

%files
%defattr(644,root,root,755)
%doc README TODO
%{_mandir}/man8/rarpd*
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rarpd
%attr(755,root,root) %{_sbindir}/rarpd
%attr(754,root,root) /etc/rc.d/init.d/rarpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rarpd.spec,v $
Revision 1.4  2002/08/28 02:16:40  blues
- release 2 - new doc

Revision 1.3  2002/03/22 22:44:48  michuz
- fixed file rights

Revision 1.2  2002/03/22 22:35:41  michuz
- added init and sysconfig file

Revision 1.1  2002/03/22 01:04:50  michuz
- initial release (not ready yet)
  TODO: check license, write rarpd.sysconfig & rarpd.init

